@import "modules.scss";
@import "partials.scss";

.agr-bodyLight {
  background-color: #f1f1f1;
}

.container,
.container-fluid {
  min-height: 100vh;
}

@mixin centerFixed {
  position: fixed;
  margin: auto;
  left: 0;
  right: 0;
  bottom: 0;
  top: 0;
}

$w-boxLogin: 700px;
$h-boxLogin: 450px;
$padding-boxLogin: 30px;
.agr-boxLogin__container {
  width: $w-boxLogin;
  height: $h-boxLogin;
  @include centerFixed();
  border-radius: 10px;
  overflow: hidden;
  .agr-boxLogin__content {
    width: $w-boxLogin;
    height: $h-boxLogin;
    .agr-boxLogin__blocks {
      @include flex($flex-direction: row);
      $w-boxLogin: 700px;
      $h-boxLogin: 450px;
      .agr-boxLogin__description {
        width: 100%;
        height: $h-boxLogin;
        background-color: #1d2543;
        padding: $padding-boxLogin;
      }
      .agr-boxLogin__loginForm {
        width: 100%;
        height: $h-boxLogin;
        background-color: #fff;
        padding: $padding-boxLogin;
        .agr-boxLogin__decorationBox {
          position: relative;
          z-index: 1;
          text-align: center;
          margin: 10px 0;
          &:after {
            content: "";
            width: 100%;
            height: 1px;
            background-color: #ccc;
            display: block;
            position: absolute;
            z-index: -1;
            top: 0;
            bottom: -3px;
            margin: auto;
          }
          .agr-boxLogin__decorationText {
            font-family: "robotolight";
            font-size: 0.9rem;
            background-color: #fff;
            padding: 5px;
          }
        }
      }
    }
  }
}

.agr-typo__mediumTitle {
  font-family: "robotobold";
  font-size: 1.3rem;
  margin: 0 0 15px 0;
  color: #fff;
}
.agr-typo__supText {
  font-family: "robotolight";
  font-size: 0.7rem;
  color: #fff;
  margin: 0;
}
.agr-typo_mediumText {
  font-family: "robotolight";
  font-size: 0.9rem;
  margin: 0 0 5px 0;
  color: #fff;
}

.agr-versionApp {
  position: fixed;
  bottom: 20px;
  left: 20px;
  color: #1d2543;
}

.agr-techIcons__list {
  @include flex($align-item: center, $justify-content: space-between);
  font-size: 1.3rem;
  color: #fff;
  width: 150px;
  position: absolute;
  bottom: 20px;
}

.agr-boxFarm__container {
  position: relative;
  backdrop-filter: blur(5px);
  .agr-boxFarm__item {
    width: 100%;
    height: 600px;
    background-color: rgba(0, 0, 0, 0.2);
    border-radius: 10px;
    background-position: center;
    background-size: cover;
    background-repeat: no-repeat;
    overflow: hidden;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.2);
    cursor: pointer;
    transition: 800ms;
    &:hover {
      transform: scale(1.03);
    }
    .agr-boxFarm__boxOpacity {
      width: 100%;
      height: 100%;
      background-color: rgba(0, 0, 0, 0.2);
      position: absolute;
      top: 0;
      left: 0;
      z-index: 0;
      border-radius: 10px;
    }
    .agr-boxFarm__body {
      @include flex($justify-content: flex-end, $flex-direction: column);
      width: 100%;
      height: 100%;
      position: relative;
      z-index: 1;
      .agr-boxFarm__description {
        padding: 0 20px 20px 20px;
        .agr-boxFarm__title {
          font-family: "robotolight";
          font-size: 1.8rem;
          color: #fff;
        }
        .agr-boxFarm__text {
          font-family: "robotolight";
          font-size: 0.8rem;
          color: #fff;
          min-height: 80px;
        }
      }
      .agr-boxFarm__list {
        @include flex(
          $flex-direction: row,
          $align-item: center,
          $justify-content: flex-start
        );
        padding: 0 20px;
        list-style: none;
        .agr-boxFarm__listItem {
          @include flex($flex-direction: column);
          margin: 0 20px 0 0;
          .agr-typo__smallTitle {
            font-family: "robotolight";
            font-size: 0.6rem;
            color: #fff;
            margin: 0;
          }
          .agr-typo__smallText {
            font-family: "robotobold";
            font-size: 1.3rem;
            color: #fff;
            margin: 0;
          }
        }
      }
    }
  }
}

.agr-wallpaperBlur {
  background-image: url("../img/img-2.jpg");
  background-position: center;
  background-size: cover;
  background-repeat: no-repeat;
}

.agr-cardFloat__container {
  .agr-cardFloat__content {
    .agr-cardFloat__items {
      @include flex(
        $align-item: center,
        $flex-direction: row,
        $wrap: wrap,
        $justify-content: space-between
      );
      position: relative;
      top: -50px;
      .agr-cardFloat__item {
        @include flex($flex-direction: row);
        width: 33.1%;
        height: 80px;
        box-shadow: 0 0 10px rgba(0, 0, 0, 0.2);
        border-radius: 10px;
        background-color: rgba(255, 255, 255, 0.7);
        padding: 20px;
        backdrop-filter: blur(5px);
        transition: 800ms;
        cursor: pointer;
        &:hover {
          background-color: rgba(255, 255, 255, 1);
          box-shadow: 0 0 10px rgba(0, 0, 0, 0.4);
        }
        .agr-cardFloat__icon {
          @include flex($align-item: center, $justify-content: center);
          width: 60px;
          height: 100%;
          span {
            font-size: 2rem;
          }
        }
        .agr-cardFloat__info {
          @include flex($flex-direction: column, $justify-content: center);
          .agr-type__cardTitleSmall {
            font-family: "robotolight";
            font-size: 0.9rem;
            color: #666;
            margin: 0;
          }
          .agr-type__cardText {
            font-family: "robotoregular";
            font-size: 1rem;
            margin: 0;
          }
          .agr-type__slider {
            position: relative;
            top: -10px;
          }
        }
      }
    }
  }
}

.agr-production__container {
  width: 100%;
  height: auto;
  display: block;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.2);
  padding: 20px;
  border-radius: 10px;
  margin: 50px 0;
  .agr-production__content {
    .agr-production__chart {

    }
  }
}